classification
Title: Mention PNG as a supported image format by Tcl/Tk
Type: enhancement Stage: resolved
Components: Documentation, Tkinter Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, miss-islington, ned.deily, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2018-04-15 14:23 by adelfino, last changed 2018-04-20 06:15 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6479 merged adelfino, 2018-04-15 14:23
PR 6498 closed miss-islington, 2018-04-17 05:35
PR 6499 merged miss-islington, 2018-04-17 05:37
PR 6521 merged miss-islington, 2018-04-18 17:28
PR 6542 merged adelfino, 2018-04-20 01:51
Messages (10)
msg315324 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-15 14:23
PNG is supported since Tcl/Tk 8.6. Update the doc/source accordingly.
msg315326 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-15 15:45
The minimal supported version is 8.4 in 3.x and 8.3 in 2.7, which don't support PNG.
msg315328 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-15 15:52
This brings the question: should the documentation follow what Python provides, or the minimum supported version?

Maybe a compromise is to have a "requires Tcl/Tk 8.6" note?
msg315330 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-15 16:29
Yes, the minimal version of Tcl/Tk for supporting PNG should be mentioned.
msg315331 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-15 16:43
I have updated the PR. Hopefully, it addreses Serhiy's comments.
msg315334 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-15 16:50
(As a side note to Serhiy and others, as of 2.7.15, we no longer ship any python.org macOS binary installers that link with Tcl/Tk 8.4 and we also now ship at least one installer variant for 2.7.x and 3.6.x that provides Tcl/Tk 8.6.  3.7.0 will be only 8.6 and perhaps 2.7.x and 3.6.x will drop 8.5 in a future release. Of course, there may still be other platforms that use 8.4.)
msg315379 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-17 05:34
New changeset 4b685bf7192fff48c8effeeae4f4d64f9420ec0f by Serhiy Storchaka (Andrés Delfino) in branch 'master':
bpo-33283: Mention PNG as a supported format by Tcl/Tk. (GH-6479)
https://github.com/python/cpython/commit/4b685bf7192fff48c8effeeae4f4d64f9420ec0f
msg315388 - (view) Author: miss-islington (miss-islington) Date: 2018-04-17 10:10
New changeset f44ce356a6ccd6c8e80ac5c4b29adb13db5c117a by Miss Islington (bot) in branch '3.6':
bpo-33283: Mention PNG as a supported format by Tcl/Tk. (GH-6479)
https://github.com/python/cpython/commit/f44ce356a6ccd6c8e80ac5c4b29adb13db5c117a
msg315457 - (view) Author: miss-islington (miss-islington) Date: 2018-04-18 18:16
New changeset b88f73749db98ed62dbc8fa59480aa62202e25d7 by Miss Islington (bot) in branch '3.7':
bpo-33283: Mention PNG as a supported format by Tcl/Tk. (GH-6479)
https://github.com/python/cpython/commit/b88f73749db98ed62dbc8fa59480aa62202e25d7
msg315502 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-20 06:15
New changeset 7a45eb9efb6fffdb4051d1f62b3af4f50c083bf1 by Serhiy Storchaka (Andrés Delfino) in branch '2.7':
bpo-33283: Mention PNG as a supported format by Tcl/Tk. (GH-6479) (GH-6542)
https://github.com/python/cpython/commit/7a45eb9efb6fffdb4051d1f62b3af4f50c083bf1
History
Date User Action Args
2018-04-20 06:15:43serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-04-20 06:15:04serhiy.storchakasetmessages: + msg315502
2018-04-20 01:51:56adelfinosetpull_requests: + pull_request6238
2018-04-18 18:16:48miss-islingtonsetmessages: + msg315457
2018-04-18 17:28:40miss-islingtonsetpull_requests: + pull_request6214
2018-04-17 10:10:48miss-islingtonsetnosy: + miss-islington
messages: + msg315388
2018-04-17 05:37:44miss-islingtonsetpull_requests: + pull_request6197
2018-04-17 05:35:51miss-islingtonsetpull_requests: + pull_request6196
2018-04-17 05:34:42serhiy.storchakasetmessages: + msg315379
2018-04-15 16:51:05ned.deilysetmessages: - msg315333
2018-04-15 16:50:57ned.deilysetmessages: + msg315334
2018-04-15 16:50:20ned.deilysetnosy: + ned.deily
messages: + msg315333
2018-04-15 16:43:09adelfinosetmessages: + msg315331
2018-04-15 16:29:41serhiy.storchakasetmessages: + msg315330
2018-04-15 15:52:24adelfinosetmessages: + msg315328
2018-04-15 15:45:29serhiy.storchakasetversions: + Python 2.7, Python 3.6, Python 3.7
nosy: + serhiy.storchaka, terry.reedy

messages: + msg315326

components: + Tkinter
2018-04-15 14:23:55adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6179
2018-04-15 14:23:12adelfinocreate